Bug 1556814 - symbol conversion error while detaching disks from an openstack instance
Summary: symbol conversion error while detaching disks from an openstack instance
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.8.4
Assignee: Scott Seago
QA Contact: Ido Ovadia
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-15 10:03 UTC by Felix Dewaleyne
Modified: 2018-06-25 14:18 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-06-25 14:18:08 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:18 UTC
Red Hat Bugzilla 1494442 None CLOSED symbol conversion error while detaching disks from an openstack instance 2018-05-14 14:08 UTC

Description Felix Dewaleyne 2018-03-15 10:03:52 UTC
this is a continuation of bz 1494442 - we would like to request for a backport to 5.8 of the work done.

Comment 3 Scott Seago 2018-03-20 04:16:22 UTC
https://github.com/ManageIQ/manageiq/pull/17175

Comment 5 CFME Bot 2018-04-10 13:50:43 UTC
New commits detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/b98e2d1409c0a2cec52c8041d0f9dd7062453b22
commit b98e2d1409c0a2cec52c8041d0f9dd7062453b22
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Oct 11 09:15:48 2017 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Wed Oct 11 09:15:48 2017 -0400

    Merge pull request #16160 from sseago/bz1494442

    bug 1494442: fix attach/detach disks automate methods
    (cherry picked from commit 9627439b2370cf715697be460ebb8032cdfd4e61)

    https://bugzilla.redhat.com/show_bug.cgi?id=1556814

 app/models/vm_or_template/operations/configuration.rb | 4 +-
 1 file changed, 2 insertions(+), 2 deletions(-)


https://github.com/ManageIQ/manageiq/commit/2e541df4914edbd716d49d7278c62fd8e0ebfac2
commit 2e541df4914edbd716d49d7278c62fd8e0ebfac2
Author:     tzumainn <tzumainn@redhat.com>
AuthorDate: Mon Oct 16 12:42:43 2017 -0400
Commit:     tzumainn <tzumainn@redhat.com>
CommitDate: Mon Oct 16 12:42:43 2017 -0400

    Merge pull request #112 from sseago/bz1494442

    bug 1494442: fix attach/detach disks automate methods
    (cherry picked from commit 315fdb38b2ee923e3e79e08014ecf2f388b827df)

    https://bugzilla.redhat.com/show_bug.cgi?id=1556814

 app/models/manageiq/providers/openstack/cloud_manager.rb | 10 +-
 1 file changed, 5 insertions(+), 5 deletions(-)

Comment 6 CFME Bot 2018-04-10 13:52:08 UTC
New commits detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/b98e2d1409c0a2cec52c8041d0f9dd7062453b22
commit b98e2d1409c0a2cec52c8041d0f9dd7062453b22
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Oct 11 09:15:48 2017 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Wed Oct 11 09:15:48 2017 -0400

    Merge pull request #16160 from sseago/bz1494442

    bug 1494442: fix attach/detach disks automate methods
    (cherry picked from commit 9627439b2370cf715697be460ebb8032cdfd4e61)

    https://bugzilla.redhat.com/show_bug.cgi?id=1556814

 app/models/vm_or_template/operations/configuration.rb | 4 +-
 1 file changed, 2 insertions(+), 2 deletions(-)


https://github.com/ManageIQ/manageiq/commit/2e541df4914edbd716d49d7278c62fd8e0ebfac2
commit 2e541df4914edbd716d49d7278c62fd8e0ebfac2
Author:     tzumainn <tzumainn@redhat.com>
AuthorDate: Mon Oct 16 12:42:43 2017 -0400
Commit:     tzumainn <tzumainn@redhat.com>
CommitDate: Mon Oct 16 12:42:43 2017 -0400

    Merge pull request #112 from sseago/bz1494442

    bug 1494442: fix attach/detach disks automate methods
    (cherry picked from commit 315fdb38b2ee923e3e79e08014ecf2f388b827df)

    https://bugzilla.redhat.com/show_bug.cgi?id=1556814

 app/models/manageiq/providers/openstack/cloud_manager.rb | 10 +-
 1 file changed, 5 insertions(+), 5 deletions(-)

Comment 11 Jadh 2018-05-03 11:01:48 UTC
Have a question regarding Verify
volume 
Should I do detach via the calls Or can I do it via CFME GUI

Comment 12 Felix Dewaleyne 2018-05-03 12:26:04 UTC
(In reply to Jadh from comment #11)
> Have a question regarding Verify
> volume 
> Should I do detach via the calls Or can I do it via CFME GUI

From the description in the case, as long as it's done through automation it's good.

Comment 18 Jadh 2018-05-09 14:46:33 UTC
Verified on 5.8.4.2 over rhos 10
verified via UI

Not able to reproduce

Comment 20 errata-xmlrpc 2018-06-25 14:18:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.